Bio::LiveSeq::Exon(3)

NAME
Bio::LiveSeq::Exon - Range abstract class for LiveSeq

SYNOPSIS
  # documentation needed

DESCRIPTION
Class for EXON objects. They consist of a beginlabel, an endlabel (both referring to a LiveSeq DNA object) and a strand. The strand could be 1 (forward strand, default), -1 (reverse strand).

AUTHOR - Joseph A.L. Insana
Email: Insana@ebi.ac.uk, jinsana@gmx.net

Address:

     EMBL Outstation, European Bioinformatics Institute
     Wellcome Trust Genome Campus, Hinxton
     Cambs. CB10 1SD, United Kingdom

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
  Title   : new
  Usage   : $exon1 = Bio::LiveSeq::Exon-> new(-seq => $objref,
                                              -start => $startlabel,
                                              -end => $endlabel, -strand => 1);

  Function: generates a new Bio::LiveSeq::Exon
  Returns : reference to a new object of class Exon
  Errorcode -1
  Args    : two labels and an integer

  get_Transcript
  Title   : get_Transcript
  Usage   : $transcript = $obj->get_Transcript()
  Function: retrieves the reference to the object of class Transcript (if any)
            attached to a LiveSeq object
  Returns : object reference
  Args    : none
  Note    : only Exons that compose a Transcript (i.e. those created out of
            a CDS Entry-Feature) will have an attached Transcript